TechDraw "Указать горизонтальный габаритный размер"

From FreeCAD Documentation
This page is a translated version of the page TechDraw HorizontalExtentDimension and the translation is 43% complete.
Other languages:

Указать горизонтальный габаритный размер

Системное название
TechDraw_HorizontalExtentDimension
Расположение в меню
TechDraw → Размеры → Указать горизонтальный габаритный размер
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Указать длину, Указать вертикальный габаритный размер

Описание

The TechDraw HorizontalExtentDimension tool adds a linear dimension to a View. The dimension extends from the left most point on the selected objects to the right most point.

Horizontal and vertical extent dimensions of a B-spline

Usage

  1. Select a View or a collection of Edges in a View.
  2. There are several ways to invoke the tool:
  3. A dimension is added to the View.
  4. The dimension may be dragged to the desired position.
  5. If needed, add tolerances as described on this page.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Свойства

See TechDraw LengthDimension. Exceptions noted below.

Данные

Base

  • ДанныеMeasure Type (Enumeration): Not yet implemented for extent dimensions.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Horizontal Extent Dimension tool can be used in macros and from the Python console by using the following functions:

selection = ['Edge1', 'Edge2']                      # or [] for all

TechDraw.makeExtentDim(view1, selection, 0)         # view1 is a DrawViewPart; 0 for horizontal
App.ActiveDocument.DimExtent.Y = -60                # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10                 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f'    # Dimension format

TechDraw.makeExtentDim(view1, selection, 1)         # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130            # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10              # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'

# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.